DOMDocument::schemaValidate
DOMDocument::validate
DOMDocument
PHP Manual

# DOMDocument::schemaValidateSource

(PHP 5)

DOMDocument::schemaValidateSource — Validates a document based on a schema

### Description

bool DOMDocument::schemaValidateSource ( string `$source` )

Validates a document based on a schema defined in the given string.

### Parameters

`source`

  A string containing the schema.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMDocument::schemaValidate - Validates a document based on a schema
- DOMDocument::relaxNGValidate - Performs relaxNG validation on the document
- DOMDocument::relaxNGValidateSource - Performs relaxNG validation on the document
- DOMDocument::validate - Validates the document based on its DTD

DOMDocument::schemaValidate
DOMDocument::validate
DOMDocument
PHP Manual